Bug 689468 - Kernel doesn't boot on PPC (PowerPC G5)
Summary: Kernel doesn't boot on PPC (PowerPC G5)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: ppc64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kyle McMartin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-21 15:53 UTC by Karsten Hopp
Modified: 2015-09-01 03:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-30 01:19:46 UTC


Attachments (Terms of Use)
first part of the kernel messages (1.52 MB, image/jpeg)
2011-03-21 15:54 UTC, Karsten Hopp
no flags Details
second part of the kernel messages (1.46 MB, image/jpeg)
2011-03-21 15:55 UTC, Karsten Hopp
no flags Details
Fix crash in PCI code on ppc64 when matching device node (1.37 KB, patch)
2011-03-24 05:01 UTC, Haren Myneni
no flags Details | Diff

Description Karsten Hopp 2011-03-21 15:53:50 UTC
Description of problem:
I'm trying to create boot images for F15 so that the grub2, installer and glibc teams can start working on / testing F-15 PPC, but I'am currently blocked by the kernel not booting on my PowerPC G5.

I've tried 2.6.37-0.rc8.git3.1.fc15.ar.ppc64 and 2.6.38-1.fc15.ppc64
both fail with a similar error.

The attached pictures are from 2.6.38-1.fc15.ppc64

Comment 1 Karsten Hopp 2011-03-21 15:54:59 UTC
Created attachment 486632 [details]
first part of the kernel messages

Comment 2 Karsten Hopp 2011-03-21 15:55:30 UTC
Created attachment 486633 [details]
second part of the kernel messages

Comment 3 Haren Myneni 2011-03-24 04:56:35 UTC
The trace is showing  machine check exception. Are you using grub2 bootloader instead of yaboot? I do not have PowerMac access right now, but will try to get system. 

In the mean time can you try a patch which fixes crash in PCI code on PPC64, made to Linus git tree on Mar21. 

commit 90407c9976939e061f32b0e07602e5ce4887d9e8
Author: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Date:   Mon Mar 21 10:57:57 2011 +1100

    powerpc/pci: Fix crash in PCI code on ppc64 when matching device nodes
    
    Commit b5d937de0367d26f65b9af1aef5f2c34c1939be0 has a bug which causes
    basically a NULL dereference in the PCI code during boot on ppc64
    machines.
    
    fetch_dev_dn() is called when dev->dev.of_node is NULL, so using that
    as the starting point for the search makes no sense. It should instead
    start from the device node of the PHB.

Comment 4 Haren Myneni 2011-03-24 05:01:09 UTC
Created attachment 487192 [details]
Fix crash in PCI code on ppc64 when matching device node

Please test with the attached patch.

Comment 5 Kyle McMartin 2011-03-28 00:03:35 UTC
I don't see how that could be the problem, given that commit b5d937de isn't in 2.6.38, so the attached patch won't apply to F-15... :/

Comment 6 Kyle McMartin 2011-03-28 19:05:17 UTC
This crash is the fault of the tpm_tis module. davej disabled it ages ago on ppc32, but it seems to still be enabled on ppc64... I'll disable it there too.

Comment 7 Kyle McMartin 2011-03-28 19:23:10 UTC
Oh, foo. We can't disable it, since CONFIG_IMA forces it to be built into the kernel. This is somewhat awkward.

Comment 8 Dave Jones 2011-03-29 16:35:24 UTC
afaik, there's no integrity measurement/TCG stuff on ppc64 either, so we could just disable IMA too with no loss.

Comment 9 Kyle McMartin 2011-03-30 01:19:46 UTC
Yeah, sounds reasonable to me too, disabled in F-15/rawhide.

Comment 10 Fedora Update System 2011-03-30 18:14:31 UTC
kernel-2.6.38.2-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.2-9.fc15

Comment 11 Fedora Update System 2011-04-02 06:01:18 UTC
kernel-2.6.38.2-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.